import java.util.*;

// a convencao e utilizar uma letra maiuscula, idealmente:
// T - tipo
// E - elemento numa colecao
// K - chave
// V - valor

public class StackGeneric < E > {

    private ArrayList< E > elements;

    public StackGeneric(int size) {
	size = (size > 0) ? size : 10;
	elements = new ArrayList< E >(size);
    }

    public void push ( E value ) { 
	elements.add(value);
    }

    public E pop () { 
	return (elements.remove(elements.size() - 1));
    }

} 