import java.util.*;

// a classe possui agora dois parametros de tipo: E e I
public class DoubleStackGeneric < E , I > {
    private ArrayList< E > one;
    private ArrayList< I > two;

    public DoubleStackGeneric(int size) {
	size = (size > 0) ? size : 10;
	one = new ArrayList< E >(size);
	two = new ArrayList< I >(size);
    }
    public void push_one ( E value ) { 
	one.add(value);
    }
    public E pop_one () { 
	return (one.remove(one.size() - 1));
    }
    public void push_two ( I value ) { 
	two.add(value);
    }
    public I pop_two () { 
	return (two.remove(two.size() - 1));
    }
} 