
public class DoubleStackGenericTest  {

    public static void main (String args[]) {
	
	Double[] dArray = {1.1, 2.2, 3.3, 4.4, 5.5};
	Character[] cArray = {'A', 'B', 'C', 'D', 'E'};

	DoubleStackGeneric<Double, Character> dStack = 
                     new DoubleStackGeneric<Double, Character>(5);
	
	for ( Double value : dArray ) {
	    dStack.push_one(value);
	}
	for ( Character value : cArray ) {
	    dStack.push_two(value);
	}
	for (int i = 0; i < 5 ; i++) {
	    Double value = dStack.pop_one();
	    System.out.printf("%.1f ", value);
	}
	System.out.println();
	for (int i = 0; i < 5 ; i++) {
	    Character value = dStack.pop_two();
	    System.out.printf("%c ", value);
	}
	System.out.println();


	DoubleStackGeneric<Double, Double> dStack2 = 
                     new DoubleStackGeneric<Double, Double>(9);
	
	for ( Double value : dArray ) {
	    dStack2.push_one(value);
	    dStack2.push_two(value*2);
	}
	for (int i = 0; i < 5 ; i++) {
	    Double value = dStack2.pop_one();
	    System.out.printf("%.1f ", value);
	}
	System.out.println();
	for (int i = 0; i < 5 ; i++) {
	    Double value = dStack2.pop_two();
	    System.out.printf("%.1f ", value);
	}
	System.out.println();
	
    }

} 