
public class StackGenericTest  {

    public static void main (String args[]) {
	
	Double[] dArray = {1.1, 2.2, 3.3, 4.4, 5.5};
	Character[] cArray = {'A', 'B', 'C', 'D', 'E'};
	
	// em alguns casos a linha abaixo apenas gera um warning
	// referente a operacoes nao seguras
	// > a depender de como dStack sera utilizada, tambem pode
	//   gerar erros de incompatibilidade, por nao ter definido o
	//   parametro de tipo da classe generica
	//StackGeneric dStack = new StackGeneric(5);

	StackGeneric<Double> dStack = new StackGeneric<Double>(5);
	StackGeneric<Character> cStack = new StackGeneric<Character>(5);
  
	for ( Double value : dArray ) {
	    dStack.push(value);
	}
	for ( Character value : cArray ) {
	    cStack.push(value);
	}
	for (int i = 0; i < 5 ; i++) {
	    Double value = dStack.pop();
	    System.out.printf("%.1f ", value);
	}
	System.out.println();
	for (int i = 0; i < 5 ; i++) {
	    Character value = cStack.pop();
	    System.out.printf("%c ", value);
	}
	System.out.println();
    }

} 